<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."server_stats/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."server_stats/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."server_stats/locale/English.php";
}

// Infusion general information
$inf_title = $locale['svs100'];
$inf_description = $locale['svs101'];
$inf_version = "1.0";
$inf_developer = "Ian Unruh (kep7)";
$inf_email = "ianunruh@gmail.com";
$inf_weburl = "http://www.cgeagles.com";

$inf_folder = "server_stats"; // The folder in which the infusion resides.
$inf_admin_image = "server.gif"; // Leave blank to use the default image.
$inf_admin_panel = "admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['svs102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "server_stats.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_droptable_[1] = "server_stats";

$inf_newtable_[1] = "server_stats (
id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
name VARCHAR(200) NOT NULL,
value VARCHAR(200) NOT NULL,
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "server_stats VALUES('', 'Fusion Version', '".$settings['version']."')";

?>