<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."server_stats/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."server_stats/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."server_stats/locale/English.php";
}

if(isset($_GET['edit'])){
opentable($locale['svs107']);
$result = dbquery("SELECT * FROM ".$db_prefix."server_stats WHERE id='".$_GET['edit']."'");
$data = dbarray($result);
echo "<center><form action='".FUSION_SELF."' name='add' method='post'><table width='500'>";
echo "<tr><td>".$locale['svs104']."</td><td><input type='textbox' name='name' class='textbox' value='".$data['name']."'></td></tr>";
echo "<tr><td>".$locale['svs105']."</td><td><input type='textbox' name='value' class='textbox' value='".$data['value']."'></td></tr>";
echo "<input type='hidden' name='id' value='".$_GET['edit']."'>";
echo "<tr><td></td><td><input type='submit' name='update' value='".$locale['svs109']."'></td></tr></table></form></center>";
closetable();
} elseif(isset($_POST['add'])){
$result = dbquery("INSERT INTO ".$db_prefix."server_stats VALUES('', '".$_POST['name']."', '".$_POST['value']."')");
opentable($locale['svs110']);
echo "<center>";
echo $locale['svs111'];
echo "<br><br>";
echo $locale['svs112'];
echo "<br>";
echo $locale['svs113'];
echo "</center>";
closetable();
} elseif(isset($_POST['update'])){
$result = dbquery("UPDATE ".$db_prefix."server_stats SET name='".$_POST['name']."', value='".$_POST['value']."' WHERE id='".$_POST['id']."'");
opentable($locale['svs110']);
echo "<center>";
echo $locale['svs115'];
echo "<br><br>";
echo $locale['svs112'];
echo "<br>";
echo $locale['svs113'];
echo "</center>";
closetable();
} elseif(isset($_GET['delete'])){
$result = dbquery("DELETE FROM ".$db_prefix."server_stats WHERE id='".$_GET['delete']."'");
opentable($locale['svs110']);
echo "<center>";
echo $locale['svs114'];
echo "<br><br>";
echo $locale['svs112'];
echo "<br>";
echo $locale['svs113'];
echo "</center>";
closetable();
} else {
opentable($locale['svs103']);
echo "<center><form action='".FUSION_SELF."' name='add' method='post'><table width='500'>";
echo "<tr><td>".$locale['svs104']."</td><td><input type='textbox' name='name' class='textbox'></td></tr>";
echo "<tr><td>".$locale['svs105']."</td><td><input type='textbox' name='value' class='textbox'></td></tr>";
echo "</table><input type='submit' name='add' value='".$locale['svs106']."'></form></center>";
closetable();
echo "<br>";
opentable($locale['svs110']);
echo "<center>";
$result = dbquery("SELECT * FROM ".$db_prefix."server_stats");
if(dbrows($result) != "0"){
echo "<table width='500'><tr><td><b>".$locale['svs104']."</b></td><td><b>".$locale['svs105']."</b></td><td><b>".$locale['svs116']."</b></td></tr>";
while($data = dbarray($result)){
echo "<tr><td>".$data['name']."</td><td>".$data['value']."</td><td><a href='admin.php?edit=".$data['id']."'>".$locale['svs107']."</a> | <a href='admin.php?delete=".$data['id']."'>".$locale['svs108']."</a></td></tr>";
}
echo "</table>";
} else {
echo "<b>There are no server stats yet</b>";
}
echo "</center>";
closetable();
}


echo "</td>\n";
require_once BASEDIR."footer.php";
?>