<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."server_stats/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."server_stats/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."server_stats/locale/English.php";
}

opentable($locale['svs102']);
$result = dbquery("SELECT * FROM ".$db_prefix."server_stats");
if(dbrows($result) != "0"){
	echo "<center><table>";
	echo "<tr><td width='300'><b>".$locale['svs104']."</b></td><td><b>".$locale['svs105']."</b></td></tr>";
	while($data = dbarray($result)){
		echo "<tr><td>".$data['name']."</td><td>".$data['value']."</td></tr>";
	}
	echo "</table></center>";
} else {
	echo "<center><b>There are no server stats</b></center>";
}
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>